%define module_name Ion
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(Carp.pm) perl(Class/Slot.pm) perl(Coro.pm) perl(Coro/ProcessPool.pm) perl(Data/Dump/Streamer.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(JSON/XS.pm) perl(List/Util.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test2/V0.pm) perl(common/sense.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: A clear and concise API for writing TCP servers and clients
Group: Development/Perl
License: perl
URL: https://github.com/sysread/Ion

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JE/JEFFOBER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Ion is intended as an easy to use, concise interface for building TCP
networking applications in Perl using the Coro manpage. Although it is not strictly
necessary, it is recommended that one have at least a passing familiarity with
the Coro manpage when building services with this module.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE examples
%perl_vendor_privlib/I*

%changelog
* Fri Jul 27 2018 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- regenerated from template by package builder

* Tue Dec 26 2017 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Wed Dec 20 2017 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

